Delete Webhook

Delete a webhook by ID. All associated event subscriptions will be removed.

DELETE/webhooks/{webhook_id}

Resend Compatibility: Compatible

Requires an API key with the webhooks:write permission.

Path Parameters

webhook_idstringrequired

The ID of the webhook to delete (UUID).

Response Fields

objectstring

Always "webhook".

idstring

The webhook ID (UUID).

deletedboolean

Always true.

curl -X DELETE 'https://api.postflare.dev/webhooks/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
  -H 'Authorization: Bearer sk_xxxxxxxxx'
const response = await fetch(
  'https://api.postflare.dev/webhooks/a1b2c3d4-e5f6-7890-abcd-ef1234567890',
  {
    method: 'DELETE',
    headers: {
      'Authorization': 'Bearer sk_xxxxxxxxx',
    },
  }
);

const data = await response.json();

Response

Response
{
  "object": "webhook",
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "deleted": true
}